PHP Manual
Prev |  | Next

# gzcompress

(PHP 4 >= 4.0.1, PHP 5)

gzcompress -- Compress a string

## Description

string gzcompress ( string data [, int level] )

This function compress the given string using the `ZLIB` data format.

For details on the ZLIB compression algorithm see the document "ZLIB Compressed Data Format Specification version 3.3" (RFC 1950).

> Note: This is not the same as gzip compression, which includes some header data. See gzencode() for gzip compression.

## Parameters

`data`

  The data to compress.

`level`

  The level of compression. Can be given as 0 for no compression up to 9 for maximum compression.

## Return Values

The compressed string or `FALSE` if an error occurred.

## Examples

Example 1. gzcompress() example

`<?php $compressed = gzcompress('Compress me', 9); echo $compressed; ?>`

## See Also

gzdeflate()
gzinflate()
gzuncompress()
gzencode()

Prev | Home | Next
gzclose | Up | gzdecode